import R from 'ramda';
import {localeMessages} from '../services/locale-service';
import {ERROR} from '../utils/ci-utils';

export const defaultValidatorForRequiredField = (validatorEnabled, text = localeMessages.fieldIsRequired) =>
    (model) =>
        ({
            condition: validatorEnabled && (R.isNil(model) || R.isEmpty(model)),
            message: {show: false, text, type: ERROR}
        });
