import R from 'ramda';

export const buildFilterQuery = (filters = []) =>
    R.reduce(
        (acc, item) => ({
            ...acc,
            [typeof item.fieldPath === 'string' ? item.fieldPath : item.fieldPath(item.model)]: item.model
        }),
        {},
        filters
    );

export const buildSortQuery = (sorting, layout) =>
    R.evolve({name: (name) => R.find(R.propEq('dataKey', name), layout).sortKey}, sorting);
