import {combineReducers} from 'redux';
import {connectRouter} from 'connected-react-router';
import history from '../../history';
import {xlReactWidgetReduxTableReducer}
    from '../../xl-react-widget/xl-react-widget-redux-table/xl-react-widget-redux-table-reducer';
import {buttonReducer} from './buttons-reducer';
import {widgetReducer} from './widget-reducer';

export const allReducers = combineReducers({
    button: buttonReducer,
    router: connectRouter(history),
    tables: xlReactWidgetReduxTableReducer,
    widget: widgetReducer
});
