import tableActions from '../xl-react-widget-redux-table-actions';
import {fetchData, withSpinner} from './xl-react-widget-redux-table-common-saga';
import {call, put} from 'redux-saga/effects';

export function* sort({api, name, order, tableId}) {
    yield put(tableActions.setSorting(tableId, name, order));
    yield call(fetchData, tableId, api);
}

export function* sortSaga({api, name, order, tableId}) {
    yield call(withSpinner, tableId, call(sort, {api, name, order, tableId}));
}
