import gulp from 'gulp';
import paths from '../utils/paths';

gulp.task('copy-styles', () => gulp.src('app/styles/**').pipe(gulp.dest('dist/styles')));
gulp.task('copy-fonts', () => gulp.src('app/fonts/**').pipe(gulp.dest('dist/fonts')));

gulp.task('copy-styles-debug', () => gulp.src('app/styles/**').pipe(gulp.dest(`${paths.debugDistDir}/styles`)));
gulp.task('copy-fonts-debug', () => gulp.src('app/fonts/**').pipe(gulp.dest(`${paths.debugDistDir}/fonts`)));

gulp.task('copy-assets', gulp.series('copy-styles', 'copy-fonts'));

gulp.task('copy-assets-debug', gulp.series('copy-styles-debug', 'copy-fonts-debug'));
